Datasets - Get Query Scale Out Sync Status
Returns the query scale-out sync status for the specified semantic model. The semantic model can reside in My workspace or another workspace, provided the caller has the required permissions.
Required Scope
Dataset.ReadWrite.All or Dataset.Read.All
GET https://api.powerbi.com/v1.0/myorg/datasets/{datasetId}/queryScaleOut/syncStatus
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
dataset
|
path | True |
string |
The dataset ID |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK |
OK |
Examples
Get query scale-out sync status example
Sample request
GET https://api.powerbi.com/v1.0/myorg/datasets/cfafbeb1-8037-4d0c-896e-a46fb27ff229/queryScaleOut/syncStatus
Sample response
{
"commitVersion": 133186221251720662,
"commitTimestamp": "2023-01-19T17:15:25.1720662Z",
"targetSyncVersion": 133184583205771509,
"targetSyncTimestamp": "2023-01-17T19:45:20.5771509Z",
"triggerReason": "explicit",
"syncStartTime": "2023-01-17T20:37:49.9625479Z",
"syncEndTime": "2023-01-17T20:37:50.6029293Z",
"minActiveReadVersion": 133184583205771509,
"minActiveReadTimestamp": "2023-01-17T19:45:20.5771509Z",
"scaleOutStatus": "Enabled"
}
Definitions
| Name | Description |
|---|---|
|
Dataset |
Dataset query scale-out sync status |
|
Query |
Query scale-out status |
|
Query |
Query scale-out sync trigger reason |
DatasetQueryScaleOutSyncStatus
Dataset query scale-out sync status
| Name | Type | Description |
|---|---|---|
| commitTimestamp |
string (date-time) |
Timestamp indicating the latest commit version |
| commitVersion |
integer (int64) |
Latest commit version |
| minActiveReadTimestamp |
string (date-time) |
Timestamp indicating the minimum active read version |
| minActiveReadVersion |
integer (int64) |
Minimum active read version |
| scaleOutStatus |
Query scale-out status |
|
| syncEndTime |
string (date-time) |
Timestamp indicating when last sync ended |
| syncStartTime |
string (date-time) |
Timestamp indicating when last sync started |
| targetSyncTimestamp |
string (date-time) |
Timestamp indicating the target sync version |
| targetSyncVersion |
integer (int64) |
Target sync version |
| triggerReason |
Query scale-out sync trigger reason |
QueryScaleOutStatus
Query scale-out status
| Value | Description |
|---|---|
| Enabled |
Query scale-out is enabled |
| TenantSettingDisabled |
Query scale-out tenant setting is disabled |
| StorageModeNotSupported |
Query scale-out is not supported for dataset's storage mode |
| ReadOnlyReplicasDisabled |
Query scale-out max read-only replicas is set to 0 |
QueryScaleOutSyncTriggerReason
Query scale-out sync trigger reason
| Value | Description |
|---|---|
| explicit |
Sync was explicitly triggered |
| automatic |
Sync was automatically triggered |
| system |
Sync was triggered following a system event |